package net.ranides.assira.observable;

import net.ranides.assira.collection.lists.RTList;
import net.ranides.assira.events.EventDispatcher;
import net.ranides.test.ContractTesters;
import net.ranides.test.data.TCollection;
import net.ranides.test.data.TMaps;
import org.junit.Test;

import static org.junit.Assert.*;

public class ObservableListTest {

    private final TCollection<Integer> $var = TMaps.MAP_IS.keys();

    @Test
    public void testSuite() {
        ContractTesters.runner()
            .param("collection!", $var)
            .ignore("ListTester.basicSerializable")
            .function(new int[0], array -> new ObservableList(EventDispatcher.newInstance(), $var.list(array).intoList()))
            .run();

    }

}